import { ApiProperty } from "@nestjs/swagger"
import { Type } from "class-transformer"
import { IsBoolean, IsInt, IsOptional } from "class-validator"

export class CreateChallengeActionDto {
  @IsInt()
  @Type(() => Number)
  @ApiProperty({ description: "Identifiant du défi rattaché à l'action" })
  challengeId: number

  @IsOptional()
  @IsBoolean()
  @Type(() => Boolean)
  @ApiProperty({ description: "Est-ce que le défi est actuellement en train d'être réalisé", default: true })
  active: boolean = true

  @IsOptional()
  @IsBoolean()
  @Type(() => Boolean)
  @ApiProperty({ description: "Est-ce que le défi a été réussi", default: false })
  success: boolean = false
}
